Bug 1303196 - [abrt] nautilus: g_type_check_instance_is_fundamentally_a(): nautilus killed by SIGSEGV
[abrt] nautilus: g_type_check_instance_is_fundamentally_a(): nautilus killed ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:1fddbb2f7b7694a8773b60d6cdf...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-29 15:10 EST by Peter
Modified: 2016-12-20 13:17 EST (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:17:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (21.93 KB, text/plain)
2016-01-29 15:10 EST, Peter
no flags Details
File: cgroup (200 bytes, text/plain)
2016-01-29 15:10 EST, Peter
no flags Details
File: core_backtrace (4.11 KB, text/plain)
2016-01-29 15:10 EST, Peter
no flags Details
File: dso_list (13.61 KB, text/plain)
2016-01-29 15:10 EST, Peter
no flags Details
File: environ (850 bytes, text/plain)
2016-01-29 15:10 EST, Peter
no flags Details
File: exploitable (100 bytes, text/plain)
2016-01-29 15:11 EST, Peter
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-29 15:11 EST, Peter
no flags Details
File: maps (64.79 KB, text/plain)
2016-01-29 15:11 EST, Peter
no flags Details
File: mountinfo (3.79 KB, text/plain)
2016-01-29 15:11 EST, Peter
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-29 15:11 EST, Peter
no flags Details
File: open_fds (2.64 KB, text/plain)
2016-01-29 15:11 EST, Peter
no flags Details
File: proc_pid_status (1.01 KB, text/plain)
2016-01-29 15:11 EST, Peter
no flags Details
File: var_log_messages (296 bytes, text/plain)
2016-01-29 15:11 EST, Peter
no flags Details

  None (edit)
Description Peter 2016-01-29 15:10:48 EST
Description of problem:
Changend folder on an SMB share

Version-Release number of selected component:
nautilus-3.18.5-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/bin/nautilus
global_pid:     9980
kernel:         4.3.3-303.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_is_fundamentally_a at gtype.c:4033
 #1 g_object_ref at gobject.c:3045
 #2 g_list_copy_deep at glist.c:680
 #3 nautilus_files_view_set_selection at nautilus-files-view.c:2784
 #4 load_new_location at nautilus-window-slot.c:1514
 #5 setup_view at nautilus-window-slot.c:1451
 #6 got_file_info_for_view_selection_callback at nautilus-window-slot.c:1349
 #7 call_ready_callbacks_at_idle at nautilus-directory-async.c:1801
 #11 g_main_context_iteration at gmain.c:3901
 #12 g_application_run at gapplication.c:2311
Comment 1 Peter 2016-01-29 15:10:52 EST
Created attachment 1119502 [details]
File: backtrace
Comment 2 Peter 2016-01-29 15:10:54 EST
Created attachment 1119503 [details]
File: cgroup
Comment 3 Peter 2016-01-29 15:10:55 EST
Created attachment 1119504 [details]
File: core_backtrace
Comment 4 Peter 2016-01-29 15:10:57 EST
Created attachment 1119505 [details]
File: dso_list
Comment 5 Peter 2016-01-29 15:10:58 EST
Created attachment 1119506 [details]
File: environ
Comment 6 Peter 2016-01-29 15:11:00 EST
Created attachment 1119507 [details]
File: exploitable
Comment 7 Peter 2016-01-29 15:11:01 EST
Created attachment 1119508 [details]
File: limits
Comment 8 Peter 2016-01-29 15:11:03 EST
Created attachment 1119509 [details]
File: maps
Comment 9 Peter 2016-01-29 15:11:05 EST
Created attachment 1119510 [details]
File: mountinfo
Comment 10 Peter 2016-01-29 15:11:06 EST
Created attachment 1119511 [details]
File: namespaces
Comment 11 Peter 2016-01-29 15:11:08 EST
Created attachment 1119512 [details]
File: open_fds
Comment 12 Peter 2016-01-29 15:11:09 EST
Created attachment 1119513 [details]
File: proc_pid_status
Comment 13 Peter 2016-01-29 15:11:11 EST
Created attachment 1119514 [details]
File: var_log_messages
Comment 14 Christian Stadelmann 2016-03-07 08:53:26 EST
This crasher also happens sometimes when going back several times (I used the "back" button of my mouse).
Comment 15 robert fairbrother 2016-05-06 02:09:35 EDT
Similar problem has been detected:

verry old bug report kickin around hope it helps

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/bin/nautilus
global_pid:     5054
kernel:         4.4.6-301.fc23.i686
package:        nautilus-3.18.5-1.fc23
reason:         nautilus killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Fedora End Of Life 2016-11-24 10:16:25 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2016-12-20 13:17:57 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.